QuantLib: FloatFloatSwaption::arguments Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
FloatFloatSwaption::arguments Class Reference

Arguments for cms swaption calculation More...

`#include <ql/instruments/floatfloatswaption.hpp>`

Inheritance diagram for FloatFloatSwaption::arguments:
[legend]

## Public Member Functions
void | validate () const
Public Member Functions inherited from FloatFloatSwap::arguments
void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes
boost::shared_ptr< FloatFloatSwap > | swap
Public Attributes inherited from FloatFloatSwap::arguments
VanillaSwap::Type | type
std::vector< Real > | nominal1
std::vector< Real > | nominal2
std::vector< Date > | leg1ResetDates
std::vector< Date > | leg1FixingDates
std::vector< Date > | leg1PayDates
std::vector< Date > | leg2ResetDates
std::vector< Date > | leg2FixingDates
std::vector< Date > | leg2PayDates
std::vector< Real > | leg1Spreads
std::vector< Real > | leg2Spreads
std::vector< Real > | leg1Gearings
std::vector< Real > | leg2Gearings
std::vector< Real > | leg1CappedRates
std::vector< Real > | leg1FlooredRates
std::vector< Real > | leg2CappedRates
std::vector< Real > | leg2FlooredRates
std::vector< Real > | leg1Coupons
std::vector< Real > | leg2Coupons
std::vector< Real > | leg1AccrualTimes
std::vector< Real > | leg2AccrualTimes
boost::shared_ptr< InterestRateIndex > | index1
boost::shared_ptr< InterestRateIndex > | index2
std::vector< bool > | leg1IsRedemptionFlow
std::vector< bool > | leg2IsRedemptionFlow
Public Attributes inherited from Option::arguments
boost::shared_ptr< Payoff > | payoff
boost::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for cms swaption calculation